﻿/**
 * @file
 * VuoCompilerGeneratorEdge interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOCOMPILERGENERATOREDGE_H
#define VUOCOMPILERGENERATOREDGE_H

#include "VuoCompilerEdge.hh"
#include "VuoCompilerGeneratorPort.hh"


/**
 * This class represents one or more cables connecting one node's generator port to another
 * (or the same) node's input ports.
 */
class VuoCompilerGeneratorEdge : public VuoCompilerEdge
{
public:
	VuoCompilerGeneratorEdge(VuoCompilerNode *fromNode, VuoCompilerNode *toNode,
							VuoCompilerGeneratorPort *fromGenerator, const set<VuoCompilerInputEventPort *> &toPorts);
	void generateTransmission(Module *module, BasicBlock *block, Value *generatorDataValue);
	VuoCompilerGeneratorPort * getFromGenerator(void);
};

#endif
