/**
 * @file
 * VuoCompilerInputDataClass interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOCOMPILERINPUTDATACLASS_H
#define VUOCOMPILERINPUTDATACLASS_H

#include "VuoCompilerDataClass.hh"


/**
 * The data type for a data-and-event input port.
 */
class VuoCompilerInputDataClass : public VuoCompilerDataClass
{
private:
	string defaultValueAsString;
	bool twoParameters;

public:
	VuoCompilerInputDataClass(string name, Type *type, size_t indexInEventFunction, bool twoParameters);
	VuoCompilerData * newData(void);
	void setDefaultValue(string defaultValueAsString);
	string getDefaultValue(void);
	bool isLoweredToTwoParameters(void);
};


#endif
