﻿/**
 * @file
 * VuoCompilerPortClass interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOCOMPILERPORTCLASS_H
#define VUOCOMPILERPORTCLASS_H

#include "VuoCompilerNodeArgumentClass.hh"
#include "VuoType.hh"
class VuoCompilerPort;

/**
 * A port type.
 */
class VuoCompilerPortClass : public VuoCompilerNodeArgumentClass
{
protected:
	VuoCompilerPortClass(string name, VuoPortClass::PortType portType, Type *type,
						 bool inEventFunction, size_t indexInEventFunction,
						 bool inInitFunction, size_t indexInInitFunction);

public:
	/**
	 * Factory method to construct a @c VuoCompilerPort instance from this port class, and create its corresponding base @c VuoPort.
	 */
	virtual VuoCompilerPort * newPort(void) = 0;

	/**
	 * Returns the type of data carried by this port, or null if this port is event-only.
	 */
	virtual VuoType * getDataVuoType(void) = 0;
};

#endif
