/**
 * @file
 * VuoCompilerPublishedPort interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This interface description may be modified and distributed under the terms of the GNU Lesser General Public License (LGPL) version 2 or later.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOCOMPILERPUBLISHEDPORT_HH
#define VUOCOMPILERPUBLISHEDPORT_HH

#include "VuoCompilerData.hh"
#include "VuoPublishedPort.hh"

/**
 * The compiler detail class for @c VuoPublishedPort.
 */
class VuoCompilerPublishedPort : public VuoBaseDetail<VuoPublishedPort>
{
public:
	set<string> getConnectedPortIdentifiers(void);

protected:
	VuoCompilerPublishedPort(string name, const set<VuoCompilerData *> &connectedDatas);

private:
	set<VuoCompilerData *> connectedDatas;
	static VuoType * getTypeForData(VuoCompilerData *connectedData);
};

#endif // VUOCOMPILERPUBLISHEDPORT_HH
