/**
 * @file
 * VuoFileHandle C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOFILEHANDLE_H
#define VUOFILEHANDLE_H

/**
 * @ingroup VuoTypes
 * @defgroup VuoFileHandle VuoFileHandle
 * A reference to file or pipe opened for reading or writing.
 *
 * @{
 */

#include <stdio.h>

/**
 * A reference to file or pipe opened for reading or writing.
 */
typedef int VuoFileHandle;

VuoFileHandle VuoFileHandle_valueFromString(const char * initializer);
char * VuoFileHandle_stringFromValue(const VuoFileHandle value);
char * VuoFileHandle_summaryFromValue(const VuoFileHandle value);

/**
 * @}
 */

#endif
