/**
 * @file
 * VuoGlContext C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOGLCONTEXT_H
#define VUOGLCONTEXT_H

/**
 * @ingroup VuoTypes
 * @defgroup VuoGlContext VuoGlContext
 * A framebuffer and state for GL rendering.
 *
 * @{
 */

/**
 * A framebuffer and state for GL rendering.
 */
typedef void * VuoGlContext;

VuoGlContext VuoGlContext_valueFromString(const char * initializer);
char * VuoGlContext_stringFromValue(const VuoGlContext value);
char * VuoGlContext_summaryFromValue(const VuoGlContext value);

/**
 * @}
 */

#endif
