/**
 * @file
 * VuoGlTexture C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOGLTEXTURE_H
#define VUOGLTEXTURE_H

/**
 * @ingroup VuoTypes
 * @defgroup VuoGlTexture VuoGlTexture
 * A GL texture object.
 *
 * @{
 */

/**
 * A GL texture object.
 */
typedef struct
{
	unsigned long int glTextureName;
	unsigned long int pixelsWide; ///< We could @c glGetTexLevelParameteri() but that would require a GPU roundtrip (inefficient).
	unsigned long int pixelsHigh;
	/// @todo add other texture metadata (pixel format, target, ...) as needed
} VuoGlTexture;

VuoGlTexture VuoGlTexture_valueFromString(const char * initializer);
char * VuoGlTexture_stringFromValue(const VuoGlTexture value);
char * VuoGlTexture_summaryFromValue(const VuoGlTexture value);

/**
 * @}
 */

#endif
