/**
 * @file
 * VuoHeap interface.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOHEAP_H
#define VUOHEAP_H

#include <stdlib.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif

void initializeReferenceCounts(bool debugMode);
void finalizeReferenceCounts(void);
void printReferenceCounts();

void * vuoAlloc(size_t numBytes);
int vuoRegister(void *heapPointer);
int vuoRetain(void *heapPointer);
int vuoRelease(void *heapPointer);

#ifdef __cplusplus
}
#endif

#endif
