/**
 * @file
 * VuoString C type definition.
 *
 * @copyright Copyright © 2012–2013 Kosada Incorporated.
 * This code may be modified and distributed under the terms of the MIT License.
 * For more information, see http://vuo.org/license.
 */

#ifndef VUOSTRING_H
#define VUOSTRING_H

/**
 * @ingroup VuoTypes
 * @defgroup VuoString VuoString
 * A zero-terminated UTF-8 string.
 *
 * @{
 */

/**
 * A zero-terminated UTF-8 string.
 */
typedef const char * VuoString;

VuoString VuoString_valueFromString(const char * initializer);
char * VuoString_stringFromValue(const VuoString value);
char * VuoString_summaryFromValue(const VuoString value);

size_t VuoString_length(const VuoString string);
const char *VuoString_substring(const VuoString string, size_t startIndex, size_t length);

/**
 * @}
 */

#endif
